Package org.eclipse.cdt.core.build

# Interface IUserToolChainProvider

All Superinterfaces:
  `IToolChainProvider`

public interface IUserToolChainProvider extends IToolChainProvider
A toolchain provider that is managed by the user. The user can manually add and remove toolchains. It is the responsibility of the provider to manage persistence and to populate the toolchains with the toolchain manager.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`void`
`addToolChain(IToolChain toolChain)`
Manually add a toolchain to be managed by this provider.
`void`
`removeToolChain(IToolChain toolChain)`
Manually remove a toolchain managed by this provider.

### Methods inherited from interface org.eclipse.cdt.core.build.IToolChainProvider

`getId, getToolChain, init`

## Method Details

### addToolChain

void addToolChain(IToolChain toolChain) throws org.eclipse.core.runtime.CoreException
Manually add a toolchain to be managed by this provider.

Parameters:
  `toolChain` - toolchain to be added
Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  6.4

### removeToolChain

void removeToolChain(IToolChain toolChain) throws org.eclipse.core.runtime.CoreException
Manually remove a toolchain managed by this provider.

Parameters:
  `toolChain` - toolchain to be removed
Throws:
  `org.eclipse.core.runtime.CoreException`